Subject: awk broken

From: Matthew Wilcox <[email-masked]>
Date: Tue, 11 Nov 1997 13:55:07 +0000 (GMT)

The supplied awk has a bug related to the modulo operator (%).
The specific case of this which is causing e2fsprogs to build incorrectly
is 85571328 % 1000000 which returns -428672.  It fails to work properly
for a range of values that I've tried, as long as b is less than a (given
a % b).

I'll look into this tonight, probably.